<div class="navbar navbar-expand-lg align-items-start" id="sidebar" data-bs-theme="dark">
    <div class="offcanvas offcanvas-start bg-dark px-3" id="sidebarOffcanvas">
        <ul class="navbar-nav flex-column mb-sm-auto mb-0 align-items-start" id="menu" >
            <li class="nav-item d-lg-none pt-2 pb-3 w-100 d-flex align-items-center">
                <a href="{{ path('homepage') }}">
                    <img src="{{ asset('assets/images/apple-touch-icon.png') }}" alt="logo" height="28rem">
                </a>
                <button type="button" class="btn-close ms-auto" data-bs-dismiss="offcanvas" aria-label="Close"></button>
            </li>
            <li class="nav-item">
                <a href="{{ path('homepage') }}" class="nav-link align-middle px-0 {% if fromUrl starts with 'homepage' %}active{% endif %}">
                    <i class="fas fa-home"></i> <span class="ms-1 sidebar-link-text">Home</span>
                </a>
            </li>
            {% if not menu_render.onlyReception and (menu_render.userCanChangeOwnPassword or  menu_render.showBadge) %}
                <li class="nav-item">
                    <a href="#submenu1" data-bs-toggle="collapse" class="nav-link px-0">
                        <i class="fa-solid fa-user pe-1"></i><span class="ms-1 sidebar-link-text">Utente</span></a>
                    <ul class="collapse navbar-nav flex-column ms-1" id="submenu1" data-bs-parent="#menu">
                        <li class="ms-3 nav-item">
                            <a href="{{ path('changeMyPassword') }}"
                               class="nav-link px-0 {% if fromUrl starts with 'password' %}active{% endif %}">
                                <span class="sidebar-link-text">Cambia la tua password</span>
                            </a>
                        </li>
                    </ul>
                </li>
            {% endif %}


            {% if  is_granted('ROLE_RECEPTION') %}
                {% if not menu_render.disableGuest %}
                    <li class="nav-item">
                        <a href="#submenu-reception" data-bs-toggle="collapse"
                           class="nav-link px-0">
                            <i class="fa-solid fa-concierge-bell pe-1"></i><span
                                    class="ms-1 sidebar-link-text">Reception</span>
                        </a>
                        <ul class="collapse navbar-nav flex-column ms-1  {% if fromUrl starts with 'guest' %}show{% endif %}"
                            id="submenu-reception" data-bs-parent="#menu">
                            <li class="ms-3 nav-item">
                                <a href="{{ path('guest') }}"
                                   class="nav-link px-0 {% if fromUrl starts with 'guest' %}active{% endif %}">
                                    <span class="sidebar-link-text">Gestione degli ospiti</span>
                                </a>
                            </li>
                        </ul>
                    </li>
                {% endif %}
            {% endif %}
            {% if not menu_render.onlyReception and is_granted('ROLE_TEACHER') %}
                <li class="nav-item">
                    <a href="#submenu2" data-bs-toggle="collapse" class="nav-link px-0">
                        <i class="fa-solid fa-pen-ruler pe-1"></i><span class="ms-1 sidebar-link-text">Insegnante</span>
                    </a>
                    <ul class="collapse navbar-nav flex-column ms-1 {% if fromUrl starts with 'group_providers_list' or fromUrl starts with 'group_'  or fromUrl starts with 'list_' or fromUrl starts with 'lab_internet_list' %}show{% endif %}"
                        id="submenu2" data-bs-parent="#menu">
                        <li class="ms-3 nav-item">
                            <a href="{{ path('group_providers_list') }}"
                               class="nav-link px-0 {% if fromUrl starts with 'group_providers_list' or fromUrl starts with 'group_'  or fromUrl starts with 'list_' %}active{% endif %}">
                                <span class="sidebar-link-text">Visualizza gli elenchi di classe</span>
                            </a>
                        </li>
                        {% if is_granted('ROLE_LAB_TEACHER') %}
                            <li class="ms-3 nav-item">
                                <a href="{{ path('lab_internet_list') }}"
                                   class="nav-link px-0 {% if fromUrl starts with 'lab_internet_list' %}active{% endif %}">
                                    <span class="sidebar-link-text">Attivazione Laboratori</span>
                                </a>
                            </li>
                        {% endif %}
                    </ul>
                </li>
            {% endif %}

            {% if is_granted('ROLE_ACCOUNTS_MANAGER') and not menu_render.onlyReception %}
                <li class="nav-item">
                    <a href="#submenuManagerUsers" data-bs-toggle="collapse" class="nav-link px-0">
                        <i class="fa-solid fa-users pe-1"></i><span class="ms-1 sidebar-link-text">Gestione Utenti</span>
                    </a>
                    <ul class="collapse navbar-nav flex-column ms-1 {% if fromUrl starts with 'student_' or fromUrl starts with 'teacher_' or fromUrl starts with 'trash_' or fromUrl starts with 'provider_show_manual_sync' %} show {% endif %}"
                        id="submenuManagerUsers" data-bs-parent="#menu">
                        <li class="ms-3 nav-item {% if fromUrl starts with 'student' %}show{% endif %}">
                            <a href="{{ url('student_list') }}"
                               class="nav-link px-0 {% if fromUrl starts with 'student' %}active{% endif %}">
                                Lista studenti
                            </a>
                        </li>
                        {% if is_granted('ROLE_ADMIN') %}
                        <li class="ms-3 nav-item {% if fromUrl starts with 'teacher' %}show{% endif %}">
                            <a href="{{ url('teacher_list') }}"
                               class="nav-link px-0 {% if fromUrl starts with 'teacher' %}active{% endif %}">
                                Lista docenti
                            </a>
                        </li>
                        {% endif %}
                        <li class="ms-3 nav-item {% if fromUrl starts with 'trash_sync' or fromUrl starts with 'provider_show_manual_sync' %}show{% endif %}">
                            <a href="{{ url('trash_sync') }}"
                               class="nav-link px-0 {% if fromUrl starts with 'trash_sync' %}active{% endif %}">
                                Sincronizzazione
                            </a>
                        </li>
                        <li class="ms-3 nav-item {% if fromUrl starts with 'trash_index' %}show{% endif %}">
                            <a href="{{ url('trash_index') }}"
                               class="nav-link px-0 {% if fromUrl starts with 'trash_index' %}active{% endif %}">
                                Cestino
                            </a>
                        </li>
                    </ul>
                </li>
            {% endif %}

            {% if is_granted('ROLE_MDM_MANAGER') %}
                <li class="nav-item">
                    <a href="#submenu-mdm" data-bs-toggle="collapse"
                       class="nav-link px-0">
                        <i class="fa-solid fa-tablet-alt pe-1"></i><span
                                class="ms-1 sidebar-link-text">Dispositivi Gestiti</span>
                    </a>
                    <ul class="collapse navbar-nav flex-column ms-1  {% if fromUrl starts with 'mdm' %}show{% endif %}"
                        id="submenu-mdm" data-bs-parent="#menu">
                        <li class="ms-3 nav-item">
                            <a href="{{ url('mdm_device_list') }}"
                               class="nav-link px-0 {% if fromUrl starts with 'mdm_device_list' %}active{% endif %}">
                                <span class="sidebar-link-text">Lista dispositivi gestiti</span>
                            </a>
                        </li>
                        <li class="ms-3 nav-item">
                            <a href="{{ url('mdm_device_show_student_without_device') }}"
                               class="nav-link px-0 {% if fromUrl starts with 'mdm_device_show_student_without_device' %}active{% endif %}">
                                <span class="sidebar-link-text">Lista studenti senza dispositivo</span>
                            </a>
                        </li>
                        <li class="ms-3 nav-item">
                            <a href="{{ url('mdm_device_show_teacher_without_device') }}"
                               class="nav-link px-0 {% if fromUrl starts with 'mdm_device_show_teacher_without_device' %}active{% endif %}">
                                <span class="sidebar-link-text">Lista docenti senza dispositivo</span>
                            </a>
                        </li>
                    </ul>
                </li>
            {% endif %}


            {% if  (is_granted('ROLE_ADMIN') or is_granted('ROLE_NETWORK_OPERATOR')) %}
                <li class="nav-item">
                    <a href="#submenu4" data-bs-toggle="collapse" class="nav-link px-0">
                        <i class="fa-solid fa-network-wired pe-1"></i><span class="ms-1 sidebar-link-text">Rete</span>
                    </a>
                    <ul class="collapse navbar-nav flex-column ms-1 {% if fromUrl starts with 'device' or fromUrl starts with 'mikrotik' or fromUrl starts with 'config_mikrotik'  or fromUrl starts with 'fortigate' or fromUrl starts with 'config_fortigate' %} show {% endif %}"
                        id="submenu4" data-bs-parent="#menu">
                        {% if not menu_render.disableMikrotikBypass %}
                            <li class="ms-3 nav-item {% if fromUrl starts with 'device' %}show{% endif %}">
                                <a href="{{ url('device') }}"
                                   class="nav-link px-0 {% if fromUrl starts with 'device' %}active{% endif %}">
                                    Gestione IP e dispositivi
                                </a>
                            </li>
                        {% endif %}
                        {% if not menu_render.disableMikrotikIPs %}
                            <li class="ms-3 nav-item {% if fromUrl starts with 'mikrotik_list' %} show{% endif %}">
                                <a href="{{ url('mikrotik_list') }}"
                                   class="nav-link px-0 {% if fromUrl starts with 'mikrotik_list' %}active{% endif %}">
                                    Liste IP
                                </a>
                            </li>
                        {% endif %}
                        {% if not menu_render.disableMikrotikIPs and is_granted('ROLE_ADMIN') %}
                            <li class="ms-3 nav-item {% if fromUrl starts with 'mikrotik_pool' %}show{% endif %}">
                                <a href="{{ url('mikrotik_pool') }}"
                                   class="nav-link px-0 {% if fromUrl starts with 'mikrotik_pool' %}active{% endif %}">
                                    Pool di indirizzi IP
                                </a>
                            </li>
                        {% endif %}
                        {% if is_granted('ROLE_ADMIN') %}
                            <li class="ms-3 nav-item {% if fromUrl ends with 'mikrotik' or fromUrl starts with 'config_mikrotik' %} show{% endif %}">
                                <a href="{{ url('mikrotik') }}"
                                   class="nav-link px-0 {% if fromUrl ends with 'mikrotik' or fromUrl starts with 'config_mikrotik' %}active{% endif %}">
                                    Router Mikrotik
                                </a>
                            </li>
                            <li class="ms-3 nav-item {% if fromUrl ends with 'fortigate' or fromUrl starts with 'config_fortigate' %} show{% endif %}">
                                <a href="{{ url('fortigate') }}"
                                   class="nav-link px-0 {% if fromUrl ends with 'fortigate' or fromUrl starts with 'config_fortigate' %}active{% endif %}">
                                    Router Fortigate
                                </a>
                            </li>
                            <li class="ms-3 nav-item {% if fromUrl ends with 'watchguard' or fromUrl starts with 'config_watchguard' %} show{% endif %}">
                                <a href="{{ url('watchguard') }}"
                                   class="nav-link px-0 {% if fromUrl ends with 'watchguard' or fromUrl starts with 'config_watchguard' %}active{% endif %}">
                                    Router WatchGuard
                                </a>
                            </li>
                        {% endif %}
                    </ul>
                </li>
            {% endif %}

            {% if is_granted('ROLE_ADMIN') %}
                <li class="nav-item">
                    <a href="#submenu3" data-bs-toggle="collapse" class="nav-link px-0">
                        <i class="fa-solid fa-crown pe-1"></i><span class="ms-1 sidebar-link-text">Amministratore</span>
                    </a>
                    <ul class="collapse navbar-nav flex-column ms-1 {% if fromUrl starts with 'config_edit' or fromUrl starts with 'config_provider' or fromUrl starts with 'config_apple_school'  or fromUrl starts with 'config_mdmServer'  %} show {% endif %}"
                        id="submenu3" data-bs-parent="#menu">
                        <li class="ms-3 nav-item {% if fromUrl == 'config_edit' or fromUrl starts with 'config_provider'  or fromUrl starts with 'config_apple_school' or fromUrl starts with 'config_mdmServer' %}show{% endif %}">
                            <a href="{{ path('config_edit') }}"
                               class="nav-link px-0 {% if fromUrl starts with 'config_edit' or fromUrl starts with 'config_provider' or fromUrl starts with 'config_apple_school' or fromUrl starts with 'config_mdmServer' %}active{% endif %}">
                                Configurazione igroove
                            </a>
                        </li>
                        {% if not menu_render.onlyReception %}
                            <li class="ms-3 nav-item">
                                <a href="{{ app.request.scheme ~ '://' ~ app.request.host }}:15672/#/queues"
                                   class="nav-link px-0 text-body-secondary">
                                    Gestione RabbitMQ
                                </a>
                            </li>
                        {% endif %}
                        <li class="ms-3 nav-item">
                            <a href="{{ path('admin') }}" class="nav-link px-0 text-body-secondary">
                                Backend database
                            </a>
                        </li>
                    </ul>
                </li>
            {% endif %}
            <li class="nav-item">
                <a href="{{ path('info') }}" class="nav-link align-middle px-0 {% if fromUrl starts with 'info' %}active{% endif %}">
                    <i class="fas fa-info ms-1"></i> <span class="ms-2 sidebar-link-text">Informazioni</span>
                </a>
            </li>
        </ul>
    </div>
</div>
